%define upstream_name Module-Build-XSUtil
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Module::Build class for building XS modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Cwd::Guard)
BuildRequires: perl(Devel::CheckCompiler)
BuildRequires: perl(Devel::PPPort)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy::Recursive::Reduced) >= 0.2.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(parent)
BuildRequires: perl-devel
BuildArch:  noarch

%description
Module::Build::XSUtil is subclass of Module::Build for support
building XS modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.190.0-4.mga9
+ Revision: 1809676
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-3.mga8
+ Revision: 1505154
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.190.0-2.mga7
+ Revision: 1284777
- Mageia 7 Mass Rebuild

* Wed May 02 2018 tv <tv> 0.190.0-1.mga7
+ Revision: 1224426
- update to 0.19

* Fri Nov 03 2017 tv <tv> 0.180.0-1.mga7
+ Revision: 1175696
- update to 0.18

* Wed Nov 01 2017 tv <tv> 0.170.0-1.mga7
+ Revision: 1175320
- update to 0.17

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-3.mga6
+ Revision: 1029933
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 968218
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 851593
- update to 0.16

* Sat Jun 27 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 845902
- update to 0.15

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 745558
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-2.mga5
+ Revision: 685415
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 659832
- update to 0.14

* Sun Aug 03 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 659417
- update to 0.13
+ jquelin <jquelin>
- adding missing buildrequires:
- update to 0.10

* Fri May 02 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 619562
- update to 0.09

* Sat Feb 08 2014 sander85 <sander85> 0.60.0-1.mga5
+ Revision: 586158
- imported package perl-Module-Build-XSUtil

